<?php
/*
 * Copyright (c) 2018, Josef Kufner  <jk@frozen-doe.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

namespace Smalldb\Flupdo;


class FlupdoDoctrineWrapper extends FlupdoWrapper
{

	public function __construct(\Doctrine\DBAL\Connection $connection)
	{
		$this->pdo = $connection;
	}

	public function inTransaction(): bool
	{
		return method_exists($this->pdo, 'isTransactionActive') ? $this->pdo->isTransactionActive() : $this->pdo->inTransaction();
	}
}
